package de.schott.android.cameraerror;

import org.opencv.android.BaseLoaderCallback;
import org.opencv.android.CameraBridgeViewBase;
import org.opencv.android.LoaderCallbackInterface;
import org.opencv.android.OpenCVLoader;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;

public class MainActivity extends Activity {
	
	protected static final String TAG = MainActivity.class.getSimpleName();

	private CameraBridgeViewBase mViewVideo;
	
	private BaseLoaderCallback mNativeLoaderCallback = new BaseLoaderCallback(this) {
        @Override
        public void onManagerConnected(int status) {
            switch (status) {
                case LoaderCallbackInterface.SUCCESS:
                {
                    Log.i(TAG, "OpenCV loaded successfully");
                    mViewVideo.enableView();
                } break;
                default:
                {
                    super.onManagerConnected(status);
                } break;
            }
        }
    };
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        findUiElements();
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    	
	private void findUiElements() {
		mViewVideo = (CameraBridgeViewBase) findViewById(R.id.viewVideo);
	}
	
	
	@Override
	protected void onResume(){
		super.onResume();
		OpenCVLoader.initAsync(OpenCVLoader.OPENCV_VERSION_2_4_5
				, getApplicationContext()
				, mNativeLoaderCallback);

	}
	
	@Override
	protected void onPause(){
		super.onPause();
		if (mViewVideo != null) {
			mViewVideo.disableView();
		}
	}
	

}
